Python2.7下安装matplotlib-2维图形库(windows系统)

在python下安装这个第三方库把我折腾的够呛!!!特写博客在此!!

在安装matplotlib之前,需要首先安装Numpy。安装Numpy比较好安装,直接下载文件。
我这里给出下载路径:Numpy下载路径,猛戳这里!
点击进去之后,哪个下载的多下载哪个即可。我这里也给出一个CSDN的下载地址:猛戳这里!
上面的两个下载文件是一样的。
下载之后,解压缩,文件目录如下:
这里写图片描述

到这里之后,运行cmd.exe,切换到该目录下,运行命令:
python setup.py install
即可。

下面再给出一个numpy.exe的下载路径:猛戳这里!
该exe文件只需下一步下一步即可。不用任何修改即可安装,不过不是最新版本。

如果安装numpy.exe过程中,出错了,下面请安装Scipy.貌似这两个存在依赖关系。
下面再给一个Scipy的下载路径:Scipy下载路径,猛戳这里!
安装方法和上面一样。

下面我再给出一个scipy-0.16.1-win32-superpack-python2.7.exe的安装文件,该安装文件只需下一步下一步即可安装。不用任何修改,非常方便。请猛戳这里!

SciPy是一个开源的Python算法库和数学工具包。

SciPy包含的模块有最优化、线性代数、积分、插值、特殊函数、快速傅里叶变换、信号处理和图像处理、常微分方程求解和其他科学与工程中常用的计算。与其功能相类似的软件还有MATLAB、GNU Octave和Scilab。

SciPy目前在BSD许可证下发布。它的开发由Enthought资助。

上面引用自维基百科。

好了,下面正式进入matplotlib的安装。

http://www.lfd.uci.edu/~gohlke/pythonlibs/#matplotlib
这个网址下面包含了非常多的python第三方库文件。使用浏览器搜索matplotlib即可定位到这里:
这里写图片描述

注意上面有一行字:Requires numpy, dateutil, pytz, pyparsing, cycler, setuptools, and optionally pillow, pycairo, tornado, wxpython, pyside, pyqt4, ghostscript, miktex, ffmpeg, mencoder, avconv, or imagemagick.

这一行英文的意思是安装matplotlib需要numpy, dateutil, pytz, pyparsing, cycler, setuptools,同时可选的依赖于pillow, pycairo, tornado, wxpython, pyside, pyqt4, ghostscript, miktex, ffmpeg, mencoder, avconv, or imagemagick这些第三方库。

也就是说numpy, dateutil, pytz, pyparsing, cycler, setuptools是必须要安装了的。这就是为什么上面我提到了Numpy的原因。其他的几个在没有问题的情况下,安装python的时候已经集成里面了,所以基本不用重新安装。但是如果没有安装,则是必须的。

解决这个问题之后,回过头再看图片中的几个下载文件:

matplotlib‑1.5.0‑cp27‑none‑win32.whl 支持python2.7
matplotlib‑1.5.0‑cp27‑none‑win_amd64.whl 支持python2.7 64位系统
matplotlib‑1.5.0‑cp33‑none‑win32.whl 支持python3.3
matplotlib‑1.5.0‑cp33‑none‑win_amd64.whl 支持python3.3 64位系统
matplotlib‑1.5.0‑cp34‑none‑win32.whl 支持python3.4
matplotlib‑1.5.0‑cp34‑none‑win_amd64.whl 支持python3.4 64位系统
matplotlib‑1.5.0‑cp35‑none‑win32.whl 支持python3.5
matplotlib‑1.5.0‑cp35‑none‑win_amd64.whl 支持python3.5 64位系统
matplotlib‑1.x‑windows‑link‑libraries.zip 需要依赖的其他的库文件压缩包
matplotlib_tests‑1.5.0‑py2.py3‑none‑any.whl 重要文件,可以下载没有的库文件

matplotlib‑1.x‑windows‑link‑libraries.zip是一个matplotlib依赖的第三方的文件,里面包含了
这里写图片描述
可以看到,里面有freetype libpng zlib这三个库。不过,我下载没搞明白怎么用这几个库,我在安装过程中正式确实这几个库而造成安装搞了很久。不过最后我没有使用这几个库。

而是使用的是matplotlib_tests‑1.5.0‑py2.py3‑none‑any.whl这个文件。下载这个文件到硬盘。我这里给出下载地址:请猛戳这里!

下载结束之后,运行Windows DOS命令行 cmd.exe,切换至python的安装目录,例如我的安装目录D:\Python27\Scripts。我的python在D盘Python27文件夹下安装的,该文件夹下有一个Scripts文件夹,切换至该文件夹下,我们会看到一个pip.exe文件:
这里写图片描述
这个命令就是我们所需要的。

在命令行中输入命令:pip install 下载目录\matplotlib_tests‑1.5.0‑py2.py3‑none‑any.whl
即可。
这个时候你会发现程序会自动检测没有安装的第三方的库,会自动下载并安装。

但是我在安装的时候出现了问题:
python_dateutil-2.4.2-py2.py3-none-any.whl
打印日志里面说,这个文件下载错误,md5值不是期望的值!也就是文件下载错误。(囧o(╯□╰)o 手快,我把命令行关闭了,具体打印的日志看不到了,本来想截个图的。。。。)

有了这个错误以后,安装失败,自动停止了。
那么既然这个文件安装失败,那就把这个文件下载下来,手动安装着文件,然后再执行上面的命令安装matplotlib。

下面给出python_dateutil-2.4.2-py2.py3-none-any.whl的下载路径:https://pypi.python.org/simple/python-dateutil/ 选择合适自己的。

同时我也给出CSDN的下面路径:猛戳这里!

下载完成之后,输入命令:pip install 下载路径\python_dateutil-2.4.2-py2.py3-none-any.whl
回车即可安装。

这一步完成之后,在此输入命令:pip install 下载目录\matplotlib_tests‑1.5.0‑py2.py3‑none‑any.whl

这次完美安装!!!
自动结束即可。
只怪自己手太快了,把命令行关闭了,不然还能截图给大家看看效果到底如何。。。o(╯□╰)o

大家就凑合着看看文字好啦。。。

如果没什么问题的话,上面不出错,自然结束,然后就可以测试matplotlib啦。

我使用eclipse PyDev进行测试:

import matplotlib.pyplot as plt  

plt.plot([10, 20, 30])  
plt.xlabel('tiems')  
plt.ylabel('numbers')  
plt.show() 

运行,即可看到图一张:
这里写图片描述

总算折腾完了!!祝大家遇到这个问题的时候好运!一次通过!!【含泪握手~~】

©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页